ARCSUB(1)

NAME
arcsub - ARC Submission

DESCRIPTION

  Usage:

    arcsub [OPTION...] [filename ...]

The arcsub command is used for submitting jobs to Grid enabled computing resources.

  Target endpoint selection:

-C, --computing-element=ce
    computing element hostname or a complete endpoint URL

-Y, --registry=registry
    registry service URL with optional specification of protocol

-T, --submission-endpoint-type=type
    require the specified endpoint type for job submission.

    Allowed values are: arcrest and internal.

-Q, --info-endpoint-type=type
    require information query using the specified information endpoint type.

    Special value 'NONE' will disable all resource information queries and the following brokering. Allowed values are: ldap.nordugrid, ldap.glue2, arcrest and internal.

  Brokering and filtering:

-R, --rejectdiscovery=URL
    skip the service with the given URL during service discovery

-b, --broker=broker
    select broker method (list available brokers with --listplugins flag)

  Behaviour tuning:

-e, --jobdescrstring=string
    jobdescription string describing the job to be submitted

-f, --jobdescrfile=string
    jobdescription file describing the job to be submitted

-o, --jobids-to-file=filename
    the IDs of the submitted jobs will be appended to this file

-n, --no-delegation
    do not perform any delegation for submitted jobs

-X, --x509-delegation
    perform X.509 delegation for submitted jobs

-K, --token-delegation
    perform token delegation for submitted jobs

--instances-max
    request at most this number of job instances submitted in single submit request

--instances-min
    request at least this number of job instances submitted in single submit request

-j, --joblist=filename
    the file storing information about active jobs (default /build/nordugrid-arc-TBAMTA/nordugrid-arc-7.1.2/debian/.debhelper/generated/_source/home/.arc/jobs.dat)

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

--anyca
    force using CA certificates configuration for Grid services (typically IGTF) and one provided by OpenSSL

  Other actions:

-D, --dryrun
    submit jobs as dry run (no submission to batch system)

-x, --dumpdescription
    do not submit - dump job description in the language accepted by the target

-P, --listplugins
    list the available plugins

  Application Options:

-h, --help
    Show help options

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

-t, --timeout=seconds
    timeout in seconds (default 20)

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
arcsub is the key command when submitting jobs to distributed computing resources with the ARC client.

Job submission can be accomplished by specifying a job description file to submit as an argument. arcsub will then by default perform resource discovery and then the discovered resources will be matched to the job description and ranked according to the chosen broker (--broker option). The brokers available can be seen using arcsub -P.

Please refer to ARC Documentation at http://www.nordugrid.org/arc for more information about job submission and management.

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

~/.arc/jobs.dat
    This a local database of the user's active jobs. When a job is successfully submitted it is added to database and when it is removed from the remote CE it is removed from this list. This database is used as the list of all active jobs when the user specifies the --all option to the various NorduGrid ARC user interface commands. By using the --joblist option a different file can be used than the default.

EXAMPLES
Submission of a job description file "helloworld.xrsl" to specified compute element:
arcsub -C ce.example.com helloworld.xrsl

Submission of a job description file "helloworld.xrsl" to compute elements discovered via the global NorduGrid registry:
arcsub -Y nordugrid.org helloworld.xrsl

Direct submission to a CE without querying the information:
arcsub -Q NONE -T arcrest -C ce.example.com helloworld.xrsl

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccat(1), arcclean(1), arccp(1), arcget(1), arcinfo(1), arckill(1), arcls(1), arcmkdir(1), arcproxy(1), arcrenew(1), arcresume(1), arcrm(1), arcstat(1), arcsync(1), arctest(1)